// bscomponents: Custom Elements Define Library, ES Module/ES5 Target
import { defineCustomElement } from './bscomponents.core.js';
import {
  BsAlert,
  BsButton,
  BsCollapse,
  BsDropdown,
  BsModal,
  BsScrollspy,
  BsTab,
  BsTooltip
} from './bscomponents.components.js';

export function defineCustomElements(window, opts) {
  defineCustomElement(window, [
    BsAlert,
    BsButton,
    BsCollapse,
    BsDropdown,
    BsModal,
    BsScrollspy,
    BsTab,
    BsTooltip
  ], opts);
}