import '../../stencil.core';
export declare class BsDropdown {
    dropdownEl: HTMLElement;
    showEventName: string;
    shownEventName: string;
    hideEventName: string;
    hiddenEventName: string;
    focusoutEventName: string;
    showDropdown: boolean;
    show: boolean;
    config: any;
    defaults: {
        offset: number;
        flip: boolean;
        boundary: string;
        reference: string;
        display: string;
    };
    dropdownId: string;
    inNavbar: boolean;
    popperHandle: any;
    relatedTarget: Element;
    componentWillLoad(): void;
    componentDidUnload(): void;
    dispose(): void;
    initPopper(dropdownMenuEl: any): void;
    static detectNavbar(el: any): boolean;
    handleDropdownClickOutside: (event: any) => void;
    setConfig(relatedTarget: any): void;
    getAssumedRelatedTarget(): Element;
    handleShowDropdown(passedRelatedTarget?: HTMLElement): void;
    handleHideDropdown(): void;
    handleToggleBsDropdown: (event: any) => void;
    static getPlacement(dropdownEl: any, dropdownMenuEl: any): string;
    static getPopperDropdownConfig(dropdownEl: any, dropdownMenuEl: any, popperSettings: any): any;
    handleFocusOut(event: any): void;
    keydownIsADropdownCommand(event: any): boolean;
    handleKeyDown(event: any): void;
    handlePresentWatch(newValue: any): void;
    dropdown(dropdownOptions?: {}, relatedTarget?: any): true | HTMLElement;
    render(): JSX.Element;
}
