import '../../stencil.core';
export declare class BsModal {
    modalEl: HTMLElement;
    showEventName: string;
    shownEventName: string;
    hideEventName: string;
    hiddenEventName: string;
    showModal: boolean;
    isShown: boolean;
    isTransitioning: boolean;
    isBodyOverflowing: boolean;
    scrollbarWidth: number;
    backdrop: any;
    config: any;
    relatedTarget: HTMLElement;
    componentWillLoad(): void;
    componentDidUnload(): void;
    unbindAllEventListenersUsed(): void;
    getScrollbarWidth(): number;
    checkScrollbar(): void;
    setScrollbar(): void;
    static resetScrollbar(): void;
    adjustDialog(): void;
    hide(): void;
    hideModal(): void;
    resetAdjustments(): void;
    show(relatedTarget?: any): void;
    elementIsOrInADataDismissForThisModal(element: any): boolean;
    handleDataDismissModalClick: (event: any) => void;
    setClicksThatCanCloseModalEvent(): void;
    handleResizeEvent: () => void;
    setResizeEvent(): void;
    hideModalBecauseEscapePressed: (event: any) => void;
    setEscapeEvent(): void;
    getConfig(overrideConfig?: any): void;
    handleFocusIn: (event: any) => void;
    enforceFocus(): void;
    showElement(): void;
    backdropClickDismiss: (event: any) => void;
    showBackdrop(callback?: Function): void;
    removeBackdrop(callback?: Function): void;
    handleActiveWatch(newValue: any): void;
    modal(modalOptions?: {}, relatedTarget?: any): true | HTMLElement;
    render(): JSX.Element;
}
