/*!
 * Built with http://stenciljs.com
 * 2018-08-21T22:03:56
 */
(function(win, doc, namespace, fsNamespace, resourcesUrl, appCore, appCoreSsr, appCorePolyfilled, hydratedCssClass, components) {

  function init(win, doc, namespace, fsNamespace, resourcesUrl, appCore, appCorePolyfilled, hydratedCssClass, components, HTMLElementPrototype, App, x, y, scriptElm) {
    // create global namespace if it doesn't already exist
    App = win[namespace] = win[namespace] || {};
    App.components = components;
    y = components.filter(function (c) { return c[2]; }).map(function (c) { return c[0]; });
    if (y.length) {
        // auto hide components until they been fully hydrated
        // reusing the "x" and "i" variables from the args for funzies
        x = doc.createElement('style');
        x.innerHTML = y.join() + '{visibility:hidden}.' + hydratedCssClass + '{visibility:inherit}';
        x.setAttribute('data-styles', '');
        doc.head.insertBefore(x, doc.head.firstChild);
    }
    createComponentOnReadyPrototype(win, namespace, HTMLElementPrototype);
    resourcesUrl = resourcesUrl || App.resourcesUrl;
    // figure out the script element for this current script
    y = doc.querySelectorAll('script');
    for (x = y.length - 1; x >= 0; x--) {
        scriptElm = y[x];
        if (scriptElm.src || scriptElm.hasAttribute('data-resources-url')) {
            break;
        }
    }
    // get the resource path attribute on this script element
    y = scriptElm.getAttribute('data-resources-url');
    if (!resourcesUrl && y) {
        // the script element has a data-resources-url attribute, always use that
        resourcesUrl = y;
    }
    if (!resourcesUrl && scriptElm.src) {
        // we don't have an exact resourcesUrl, so let's
        // figure it out relative to this script's src and app's filesystem namespace
        y = scriptElm.src.split('/').slice(0, -1);
        resourcesUrl = (y.join('/')) + (y.length ? '/' : '') + fsNamespace + '/';
    }
    // request the core this browser needs
    // test for native support of custom elements and fetch
    // if either of those are not supported, then use the core w/ polyfills
    // also check if the page was build with ssr or not
    x = doc.createElement('script');
    if (usePolyfills(win, win.location, x, 'import("")')) {
        // requires the es5/polyfilled core
        x.src = resourcesUrl + appCorePolyfilled;
    }
    else {
        // let's do this!
        x.src = resourcesUrl + appCore;
        x.setAttribute('type', 'module');
        x.setAttribute('crossorigin', true);
    }
    x.setAttribute('data-resources-url', resourcesUrl);
    x.setAttribute('data-namespace', fsNamespace);
    doc.head.appendChild(x);
}
function usePolyfills(win, location, scriptElm, dynamicImportTest) {
    // fyi, dev mode has verbose if/return statements
    // but it minifies to a nice 'lil one-liner ;)
    if (location.search.indexOf('core=esm') > 0) {
        // force esm build
        return false;
    }
    if ((location.search.indexOf('core=es5') > 0) ||
        (location.protocol === 'file:') ||
        (!(win.customElements && win.customElements.define)) ||
        (!win.fetch) ||
        (!(win.CSS && win.CSS.supports && win.CSS.supports('color', 'var(--c)'))) ||
        (!('noModule' in scriptElm))) {
        // es5 build w/ polyfills
        return true;
    }
    // final test to see if this browser support dynamic imports
    return doesNotSupportsDynamicImports(dynamicImportTest);
}
function doesNotSupportsDynamicImports(dynamicImportTest) {
    try {
        new Function(dynamicImportTest);
        return false;
    }
    catch (e) { }
    return true;
}
function createComponentOnReadyPrototype(win, namespace, HTMLElementPrototype) {
    (win['s-apps'] = win['s-apps'] || []).push(namespace);
    if (!HTMLElementPrototype.componentOnReady) {
        HTMLElementPrototype.componentOnReady = function componentOnReady() {
            /*tslint:disable*/
            var elm = this;
            function executor(resolve) {
                if (elm.nodeName.indexOf('-') > 0) {
                    // window hasn't loaded yet and there's a
                    // good chance this is a custom element
                    var apps = win['s-apps'];
                    var appsReady = 0;
                    // loop through all the app namespaces
                    for (var i = 0; i < apps.length; i++) {
                        // see if this app has "componentOnReady" setup
                        if (win[apps[i]].componentOnReady) {
                            // this app's core has loaded call its "componentOnReady"
                            if (win[apps[i]].componentOnReady(elm, resolve)) {
                                // this component does belong to this app and would
                                // have fired off the resolve fn
                                // let's stop here, we're good
                                return;
                            }
                            appsReady++;
                        }
                    }
                    if (appsReady < apps.length) {
                        // not all apps are ready yet
                        // add it to the queue to be figured out when they are
                        (win['s-cr'] = win['s-cr'] || []).push([elm, resolve]);
                        return;
                    }
                }
                // not a recognized app component
                resolve(null);
            }
            // callback wasn't provided, let's return a promise
            if (win.Promise) {
                // use native/polyfilled promise
                return new win.Promise(executor);
            }
            // promise may not have been polyfilled yet
            return { then: executor };
        };
    }
}


  init(win, doc, namespace, fsNamespace, resourcesUrl, appCore, appCoreSsr, appCorePolyfilled, hydratedCssClass, components);

  })(window, document, "bscomponents","bscomponents",0,"bscomponents.core.js","es5-build-disabled.js","hydrated",[["bs-alert","bs-alert",1,[["alert",6],["alertEl",7],["close",6],["closeEventName",1,0,"close-event-name",2],["closedEventName",1,0,"closed-event-name",2],["dismiss",2,0,1,3],["noSelfRemoveFromDom",1,0,"no-self-remove-from-dom",3],["open",6],["openEventName",1,0,"open-event-name",2],["openedEventName",1,0,"opened-event-name",2]],0,[["click","handleFocusOut"]]],["bs-button","bs-button",0,[["active",2,0,1,3],["activeEventName",1,0,"active-event-name",2],["activeState",5],["addFocusClass",5],["bsButtonEl",7],["button",6],["dropdown",6],["inactiveEventName",1,0,"inactive-event-name",2],["tab",6],["tabindex",2,1,1,1]],0,[["focusin","handleFocusIn"],["focusout","handleFocusOut"],["keydown","handleKeyDown"],["click","handleButtonClick"]]],["bs-collapse","bs-collapse",1,[["collapse",6],["collapseEl",7],["hiddenEventName",1,0,"hidden-event-name",2],["hideEventName",1,0,"hide-event-name",2],["ignoreAccordion",2,0,"ignore-accordion",3],["ignoreDataToggles",2,0,"ignore-data-toggles",3],["relatedTarget",5],["showCollapse",2,0,"show-collapse",3],["showEventName",1,0,"show-event-name",2],["shownEventName",1,0,"shown-event-name",2]]],["bs-dropdown","bs-dropdown",1,[["config",2,0,1,1],["defaults",1,0,1,1],["dropdown",6],["dropdownEl",7],["dropdownId",5],["focusoutEventName",1,0,"focusout-event-name",2],["hiddenEventName",1,0,"hidden-event-name",2],["hideEventName",1,0,"hide-event-name",2],["inNavbar",5],["popperHandle",5],["relatedTarget",5],["show",2,0,1,3],["showDropdown",2,0,"show-dropdown",3],["showEventName",1,0,"show-event-name",2],["shownEventName",1,0,"shown-event-name",2]],0,[["focusout","handleFocusOut"],["keydown","handleKeyDown"]]],["bs-modal","bs-modal",1,[["backdrop",5],["config",5],["getScrollbarWidth",6],["hiddenEventName",1,0,"hidden-event-name",2],["hideEventName",1,0,"hide-event-name",2],["isBodyOverflowing",5],["isShown",5],["isTransitioning",5],["modal",6],["modalEl",7],["relatedTarget",5],["scrollbarWidth",5],["showEventName",1,0,"show-event-name",2],["showModal",2,0,"show-modal",3],["shownEventName",1,0,"shown-event-name",2]]],["bs-scrollspy","bs-scrollspy",1,[["activateEventName",1,0,"activate-event-name",2],["activeTarget",5],["config",5],["defaults",1,0,1,1],["offsets",5],["scrollElement",5],["scrollHeight",5],["scrollspy",6],["scrollspyEl",7],["selector",5],["targets",5],["useBodyForScrollElement",1,0,"use-body-for-scroll-element",3],["verboseLogging",1,0,"verbose-logging",3]]],["bs-tab","bs-tab",1,[["dispatchEventsOnTab",2,0,"dispatch-events-on-tab",3],["hiddenEventName",1,0,"hidden-event-name",2],["hideEventName",1,0,"hide-event-name",2],["ignoreDataToggles",2,0,"ignore-data-toggles",3],["showEventName",1,0,"show-event-name",2],["showTab",2,0,"show-tab",3],["shownEventName",1,0,"shown-event-name",2],["tab",6],["tabEl",7]]],["bs-tooltip","bs-tooltip",0,[["activeTrigger",5],["bsContent",2,0,"bs-content",2],["bsTitle",2,0,"bs-title",2],["config",2,0,1,1],["defaults",1,0,1,1],["disableEventName",2,0,"disable-event-name",2],["disabled",2,0,1,3],["disabledEventName",2,0,"disabled-event-name",2],["disposeTimeout",5],["enableEventName",2,0,"enable-event-name",2],["enabledEventName",2,0,"enabled-event-name",2],["hiddenEventName",2,0,"hidden-event-name",2],["hideEventName",2,0,"hide-event-name",2],["hoverState",5],["insertedEventName",2,0,"inserted-event-name",2],["isEnabled",5],["popover",6],["popperHandle",5],["showEventName",2,0,"show-event-name",2],["showPopover",2,0,"show-popover",3],["showTooltip",2,0,"show-tooltip",3],["shownEventName",2,0,"shown-event-name",2],["tabindex",2,1,1,1],["timeout",5],["tip",5],["tooltip",6],["tooltipEl",7],["tooltipId",5]]]],HTMLElement.prototype);