import { o as toLower, p as _size } from './chunk-89dac778.js';
import { a as _trim } from './chunk-5260d582.js';
function getTargetSelector(element) {
    if (toLower(element.tagName) === 'a') {
        var href = _trim(element.getAttribute('href'));
        if (_size(href) > 1) {
            // 1 is chosen because href might simply be '#'
            return href;
        }
    }
    return element.dataset.target;
}
export { getTargetSelector as a };
